%bcond_with bootstrap

Summary:        Collection of parsers for Java
Name:           univocity-parsers
Version:        2.9.1
Release:        6%{?dist}
License:        ASL 2.0
URL:            https://github.com/uniVocity/univocity-parsers
Source0:        https://github.com/uniVocity/univocity-parsers/archive/v%{version}.tar.gz
Patch3000:      0001-Resolve-import-clash-with-OpenJDK-17.patch

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-source-plugin)
%endif

BuildArch:      noarch
ExclusiveArch:  %{java_arches} noarch

%description
uniVocity-parsers is a suite of extremely fast and reliable parsers
for Java.  It provides a consistent interface for handling different
file formats, and a solid framework for the development of new
parsers.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{name}.



%prep
%autosetup -p1

%pom_remove_plugin :nexus-staging-maven-plugin
%pom_remove_plugin :maven-compiler-plugin
%pom_remove_plugin :maven-javadoc-plugin



%build
%mvn_build -f -- -Dmaven.compiler.source=1.7 -Dmaven.compiler.target=1.7



%install
%mvn_install



%files -f .mfiles
%license LICENSE-2.0.html
%doc README.md

%files javadoc -f .mfiles-javadoc
%license LICENSE-2.0.html



%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.9.1-6
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.9.1-5
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 19 2023 Zhao Zhen <jeremiazhao@tencent.com> - 2.9.1-4
- switched to non-bootstrap building

* Wed Apr 12 2023 Zhao Zhen <jeremiazhao@tencent.com> - 2.9.1-3
- rebuilding

* Fri Mar 24 2023 Miaojun Dong <zoedong@tencent.com> - 2.9.1-2
- rebuild

* Fri Mar 24 2023 Miaojun Dong <zoedong@tencent.com> - 2.9.1-1
- initial build
